.TH wxSashLayoutWindow 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxSashLayoutWindow \- See external documentation: wxSashLayoutWindow\&.
.SH DESCRIPTION
.LP
See external documentation: wxSashLayoutWindow <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashlayoutwindow\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxSashWindow 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxSashLayoutWindow()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxSashLayoutWindow()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashlayoutwindow\&.html#wxsashlayoutwindowwxsashlayoutwindow>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxSashLayoutWindow()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxSashLayoutWindow()
.br
.RS
.TP
Types
Option = {id, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashlayoutwindow\&.html#wxsashlayoutwindowwxsashlayoutwindow>\&.
.RE
.LP
.B
create(This::wxSashLayoutWindow(), Parent::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, [])\&.
.RE
.LP
.B
create(This::wxSashLayoutWindow(), Parent::wxWindow() (see module wxWindow), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {id, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashlayoutwindow\&.html#wxsashlayoutwindowcreate>\&.
.RE
.LP
.B
getAlignment(This::wxSashLayoutWindow()) -> WxLayoutAlignment
.br
.RS
.TP
Types
WxLayoutAlignment = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashlayoutwindow\&.html#wxsashlayoutwindowgetalignment>\&. 
.br
 WxLayoutAlignment is one of ?wxLAYOUT_NONE | ?wxLAYOUT_TOP | ?wxLAYOUT_LEFT | ?wxLAYOUT_RIGHT | ?wxLAYOUT_BOTTOM
.RE
.LP
.B
getOrientation(This::wxSashLayoutWindow()) -> WxLayoutOrientation
.br
.RS
.TP
Types
WxLayoutOrientation = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashlayoutwindow\&.html#wxsashlayoutwindowgetorientation>\&. 
.br
 WxLayoutOrientation is one of ?wxLAYOUT_HORIZONTAL | ?wxLAYOUT_VERTICAL
.RE
.LP
.B
setAlignment(This::wxSashLayoutWindow(), Align::WxLayoutAlignment) -> ok
.br
.RS
.TP
Types
WxLayoutAlignment = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashlayoutwindow\&.html#wxsashlayoutwindowsetalignment>\&. 
.br
 WxLayoutAlignment is one of ?wxLAYOUT_NONE | ?wxLAYOUT_TOP | ?wxLAYOUT_LEFT | ?wxLAYOUT_RIGHT | ?wxLAYOUT_BOTTOM
.RE
.LP
.B
setDefaultSize(This::wxSashLayoutWindow(), Size::{W::integer(), H::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashlayoutwindow\&.html#wxsashlayoutwindowsetdefaultsize>\&.
.RE
.LP
.B
setOrientation(This::wxSashLayoutWindow(), Orient::WxLayoutOrientation) -> ok
.br
.RS
.TP
Types
WxLayoutOrientation = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxsashlayoutwindow\&.html#wxsashlayoutwindowsetorientation>\&. 
.br
 WxLayoutOrientation is one of ?wxLAYOUT_HORIZONTAL | ?wxLAYOUT_VERTICAL
.RE
.LP
.B
destroy(This::wxSashLayoutWindow()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
